import { ComponentInterface, EventEmitter } from "../../../stencil-public-runtime";
import { Job, Template } from "../../../sdk";
export declare class AppSign implements ComponentInterface {
  signaturePadEl: any;
  fireenjinFetch: EventEmitter<any>;
  fireenjinSubmit: EventEmitter<any>;
  forceResize: EventEmitter<any>;
  templateId: string;
  jobId: string;
  loading: boolean;
  signed: boolean;
  job: Job;
  template: Template;
  onChange(event: any): Promise<void>;
  onSuccess(event: any): Promise<void>;
  fetchJob(): Promise<void>;
  presentToast(): Promise<void>;
  componentDidLoad(): void;
  render(): any[];
}
